GoSmarter Logo
GoSmarter API Gateway

Get rule pack detail

GET
https://api.gosmarter.ai
/api/company/{companyId}/rule-packs/{rulePackId}

Returns a single rule pack's detail including its full rule list.

Get rule pack detail › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

rulePackId
​string · uuid · required

The unique identifier of the rule pack

Get rule pack detail › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Get rule pack detail › Responses

Rule pack detail

Rules belonging to this pack

rulePackId
​string · uuid

Unique identifier for the rule pack

categoryName
​string

Category name (Rebar, Stainless Steel, Non-Ferrous Metals, Structural & Alloy Steel, Nickel Alloys)

name
​string

Rule pack name

description
​string

Rule pack description

isSubscribed
​boolean

Whether the requesting company is currently subscribed to this pack

objectTypes
​string

Semicolon-joined distinct object types this pack has rules for (Inventory;MillCert;Order)

standards
​string

Semicolon-joined standard codes this pack covers

grades
​string

Semicolon-joined grade codes this pack covers


List rule packs

GET
https://api.gosmarter.ai
/api/company/{companyId}/rule-packs

Lists the GoSmarter-authored Rule Pack catalogue, including which packs the specified company is currently subscribed to.

List rule packs › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

List rule packs › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

List rule packs › Responses

List of rule packs

rulePackId
​string · uuid

Unique identifier for the rule pack

categoryName
​string

Category name (Rebar, Stainless Steel, Non-Ferrous Metals, Structural & Alloy Steel, Nickel Alloys)

name
​string

Rule pack name

description
​string

Rule pack description

isSubscribed
​boolean

Whether the requesting company is currently subscribed to this pack

objectTypes
​string

Semicolon-joined distinct object types this pack has rules for (Inventory;MillCert;Order)

standards
​string

Semicolon-joined standard codes this pack covers

grades
​string

Semicolon-joined grade codes this pack covers


Subscribe to a rule pack

POST
https://api.gosmarter.ai
/api/company/{companyId}/rule-packs/{rulePackId}/subscribe

Subscribes the company to a rule pack, provisioning system tags for its rules and triggering re-evaluation of existing inventory/mill certs/orders.

Subscribe to a rule pack › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

rulePackId
​string · uuid · required

The unique identifier of the rule pack

Subscribe to a rule pack › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Subscribe to a rule pack › Responses

Subscribed successfully

No data returned

Unsubscribe from a rule pack

DELETE
https://api.gosmarter.ai
/api/company/{companyId}/rule-packs/{rulePackId}/subscribe

Unsubscribes the company from a rule pack, deactivating its system tags and triggering re-evaluation to clear stale assignments.

Unsubscribe from a rule pack › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

rulePackId
​string · uuid · required

The unique identifier of the rule pack

Unsubscribe from a rule pack › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Unsubscribe from a rule pack › Responses

Unsubscribed successfully

No data returned